# Bio.ExPASy.Enzyme module

Parse the enzyme.dat file from Enzyme at ExPASy.

See https://www.expasy.org/enzyme/

Tested with the release of 03-Mar-2009.

Functions:

  - read Reads a file containing one ENZYME entry

  - parse Reads a file containing multiple ENZYME entries

Classes:

  - Record Holds ENZYME data.

Bio.ExPASy.Enzyme.parse(handle)

  Parse ENZYME records.

  This function is for parsing ENZYME files containing multiple records.

  Arguments:

    - handle - handle to the file.

Bio.ExPASy.Enzyme.read(handle)

  Read one ENZYME record.

  This function is for parsing ENZYME files containing exactly one record.

  Arguments:

    - handle - handle to the file.

class Bio.ExPASy.Enzyme.Record

  Bases: `dict`

  Holds information from an ExPASy ENZYME record as a Python dictionary.

  Each record contains the following keys:

  - ID: EC number

  - DE: Recommended name

  - AN: Alternative names (if any)

  - CA: Catalytic activity

  - CF: Cofactors (if any)

  - PR: Pointers to any Prosite documentation entries that correspond to the enzyme

  - DR: Pointers to any Swiss-Prot protein sequence entries that correspond to the enzyme

  - CC: Comments

  __init__()

    Initialize the class.

  __repr__()

    Return the canonical string representation of the Record object.

  __str__()

    Return a readable string representation of the Record object.

  __annotate_func__ = None
  __annotations_cache__ = {}
  __firstlineno__ = 58
  __static_attributes__ = ()

Biopython v: 1.86

Versions
  Previous
  Latest
  Develop

Biopython Project
  Homepage
  On GitHub